/**
 * 
 */
package monopoly;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * @author thiemann
 *
 */
public class StreetTest {

    /**
     * Test case.
     */
	@Test
	public void test() {
		Street s = Street.makeBaltic();
		assertEquals(State.UNOWNED, s.getState());
		assertTrue("can buy unowned street", s.buy());
		assertEquals(State.OWNED, s.getState());
		assertFalse(s.buy());
		
		assertTrue("can build on owned street", s.buyHouse());
		assertEquals(State.ONEHOUSE, s.getState());
		
		assertEquals(20, s.calculateRent());
	}

}
